<button mat-icon-button [matMenuTriggerFor]="menu">
  <mat-icon>more_vert</mat-icon>
</button>
<mat-menu #menu="matMenu">
  <button mat-menu-item (click)="showPermissions()">
    <mat-icon>permission_on</mat-icon>
    <span>Permissions</span>
  </button>
  <button mat-menu-item (click)="edit()">
    <mat-icon>edit</mat-icon>
    <span>Edit Role</span>
  </button>
  <button mat-menu-item>
    <mat-icon>isactive_on</mat-icon>
    <span>Disable Role</span>
  </button>
</mat-menu>
